#include <stdio.h>
int razmena(int *a, int *b)
{
	int pom;
	pom = *a;
	*a = *b;
	*b = pom;
}
int sredjivanje(int n, int *a)
{
	int i,j,r = 0;
	for(i = 0; i < n; i++)
	{
		for(j = 1; j < n; j++)
		{
			if(a[j] > a[i])
			{
				razmena(&a[i],&a[j]);
				r = 1;
				return 1;
			}
		}
	}
	if(r == 0) razmena(&a[0],&a[1]);
}
int ispis(int n, int *a)
{
	int i;
	for(i = 0; i < n; i++)
	{
		printf("%d ",a[i]);
	}
}
main()
{
	int i,n,k,r = 0;
	scanf("%d",&n);
	int a[n];
	for(i = 0; i < n; i++)
	{
		scanf("%d",&a[i]);
	}
	sredjivanje(n,a);
	ispis(n,a);
}